<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Tests\Unit\Entities\Zaznam;

use Seka\Portal\Modul\Statistiky\Tests\TestCase;
use Seka\Portal\Modul\Statistiky\Entities\Zaznam\SubjektCastable;
use Seka\Portal\Modul\Statistiky\Entities\Zaznam\Casts\SubjektCast;

/**
 * Class SubjektCastableTest
 *
 * @package Seka\Portal\Modul\Statistiky\Tests\Unit\Entities\Zaznam
 */
class SubjektCastableTest extends TestCase
{
    /**
     *
     */
    public function testCastUsing()
    {
        self::assertStringStartsWith(SubjektCastable::castUsing(), SubjektCast::class);
        self::assertStringEndsWith(SubjektCastable::castUsing(), SubjektCast::class);
    }
}
